/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.individu;

import java.awt.BorderLayout;
import java.util.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.mangue.individu.EOValidationServices;

import com.webobjects.eointerface.EODisplayGroup;


/**
 *
 * @author  cpinsard
 */
public class ServicesValidesView extends JFrame {

	protected EODisplayGroup eod;
	protected ZEOTable myEOTable;
	protected ZEOTableModel myTableModel;
	protected TableSorter myTableSorter;

    /**
	 * 
	 */
	private static final long serialVersionUID = -6195866169790317637L;

	/** Creates new form TemplateJDialog */
    public ServicesValidesView(java.awt.Frame parent, boolean modal, EODisplayGroup dg) {
       // super(parent, modal);
    	
    	eod = dg;
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        viewValidations = new javax.swing.JPanel();
        viewTable = new javax.swing.JPanel();
        btnModifier = new javax.swing.JButton();
        btnAjouter = new javax.swing.JButton();
        btnSupprimer = new javax.swing.JButton();
        jPanel1 = new javax.swing.JPanel();
        btnAnnuler = new javax.swing.JButton();
        btnValider = new javax.swing.JButton();
        tfMinistere = new org.cocktail.component.COTextField();
        checkTempsIncomplet = new javax.swing.JCheckBox();
        checkTempsComplet = new javax.swing.JCheckBox();
        popupTypeService = new javax.swing.JComboBox();
        lblTypeModalite1 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jSeparator2 = new javax.swing.JSeparator();
        tfQuotiteService = new javax.swing.JTextField();
        checkPcAcquitee = new javax.swing.JCheckBox();
        checkTempsPartiel = new javax.swing.JCheckBox();
        jLabel1 = new javax.swing.JLabel();
        tfAnnees = new org.cocktail.component.COTextField();
        lblTypeModalite = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel17 = new javax.swing.JLabel();
        tfMois = new org.cocktail.component.COTextField();
        jLabel3 = new javax.swing.JLabel();
        tfDateDebut = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        popupTypeFonctionPublique = new javax.swing.JComboBox();
        jLabel4 = new javax.swing.JLabel();
        tfDateFin = new javax.swing.JTextField();
        tfJours = new org.cocktail.component.COTextField();
        tfEtablissement = new org.cocktail.component.COTextField();
        labelDateValidation = new javax.swing.JLabel();
        lblTypeModalite2 = new javax.swing.JLabel();
        lblTypeModalite3 = new javax.swing.JLabel();
        tfDateValidation = new org.cocktail.component.COTextField();
        btnGetAvenant = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("BONIFICATIONS");

        viewTable.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTable.setLayout(new java.awt.BorderLayout());

        btnModifier.setToolTipText("Modification");

        btnAjouter.setToolTipText("Ajouter une nouvelle validation");

        btnSupprimer.setToolTipText("Suppression de la validation");

        jPanel1.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        tfMinistere.setEnabledMethod("peutSaisirInformationsServiceAuxiliaire");
        tfMinistere.setSupportsBackgroundColor(true);
        tfMinistere.setValueName("dateValidationServiceFormatee");

        buttonGroup1.add(checkTempsIncomplet);
        checkTempsIncomplet.setText("Temps Incomplet");
        checkTempsIncomplet.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkTempsIncompletActionPerformed(evt);
            }
        });

        buttonGroup1.add(checkTempsComplet);
        checkTempsComplet.setText("Temps Complet");
        checkTempsComplet.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkTempsCompletActionPerformed(evt);
            }
        });

        popupTypeService.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        lblTypeModalite1.setFont(new java.awt.Font("Tahoma", 1, 11));
        lblTypeModalite1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        lblTypeModalite1.setText("Type de service ");

        jLabel5.setFont(new java.awt.Font("Tahoma", 1, 12));
        jLabel5.setText("Durée Validée");

        tfQuotiteService.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        checkPcAcquitee.setText("PC Acquittées");

        buttonGroup1.add(checkTempsPartiel);
        checkTempsPartiel.setText("Temps Partiel");
        checkTempsPartiel.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkTempsPartielActionPerformed(evt);
            }
        });

        jLabel1.setText("Quotité de Service : ");

        tfAnnees.setEnabledMethod("modificationEnCours");
        tfAnnees.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfAnnees.setNumberFieldFormat("0");
        tfAnnees.setSupportsBackgroundColor(true);
        tfAnnees.setValueName("dureeValideeAnnees");

        lblTypeModalite.setFont(new java.awt.Font("Tahoma", 1, 11));
        lblTypeModalite.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        lblTypeModalite.setText("TYPE FONCTION PUBLIQUE :");

        jLabel2.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel2.setText("Années");

        jLabel17.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel17.setText("DEBUT");

        tfMois.setEnabledMethod("modificationEnCours");
        tfMois.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfMois.setNumberFieldFormat("0");
        tfMois.setSupportsBackgroundColor(true);
        tfMois.setValueName("dureeValideeMois");

        jLabel3.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel3.setText("Mois");

        tfDateDebut.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateDebut.setToolTipText("Début de la période de validation");

        jLabel18.setFont(new java.awt.Font("Tahoma", 1, 11));
        jLabel18.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel18.setText("FIN ");

        popupTypeFonctionPublique.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel4.setFont(new java.awt.Font("Helvetica", 0, 12));
        jLabel4.setText("Jours");

        tfDateFin.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateFin.setToolTipText("Fin de la période de validation");

        tfJours.setEnabledMethod("modificationEnCours");
        tfJours.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfJours.setNumberFieldFormat("0");
        tfJours.setSupportsBackgroundColor(true);
        tfJours.setValueName("dureeValideeJours");

        tfEtablissement.setEnabledMethod("peutSaisirInformationsServiceAuxiliaire");
        tfEtablissement.setSupportsBackgroundColor(true);
        tfEtablissement.setValueName("dateValidationServiceFormatee");

        labelDateValidation.setFont(new java.awt.Font("Helvetica", 1, 12));
        labelDateValidation.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        labelDateValidation.setText("Date de validation des services");

        lblTypeModalite2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        lblTypeModalite2.setText("Ministère");

        lblTypeModalite3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        lblTypeModalite3.setText("Etablissement");

        tfDateValidation.setEnabledMethod("peutSaisirInformationsServiceAuxiliaire");
        tfDateValidation.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateValidation.setSupportsBackgroundColor(true);
        tfDateValidation.setValueName("dateValidationServiceFormatee");

        org.jdesktop.layout.GroupLayout jPanel1Layout = new org.jdesktop.layout.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(20, 20, 20)
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(jSeparator2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 487, Short.MAX_VALUE)
                            .add(jLabel5)
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(10, 10, 10)
                                .add(jLabel2)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfAnnees, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 38, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(jLabel3)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 38, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(jLabel4)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfJours, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 38, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(labelDateValidation)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(tfDateValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 91, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(jPanel1Layout.createSequentialGroup()
                        .add(91, 91, 91)
                        .add(jLabel17, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 72, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(10, 10, 10)
                        .add(tfDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 98, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(jLabel18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 54, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 103, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                        .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(lblTypeModalite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 171, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(lblTypeModalite2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 171, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(jPanel1Layout.createSequentialGroup()
                                        .add(6, 6, 6)
                                        .add(popupTypeFonctionPublique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 293, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .add(jPanel1Layout.createSequentialGroup()
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                        .add(tfMinistere, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 368, Short.MAX_VALUE))))
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(lblTypeModalite3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 171, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfEtablissement, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 368, Short.MAX_VALUE))
                            .add(jPanel1Layout.createSequentialGroup()
                                .add(lblTypeModalite1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 171, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(popupTypeService, 0, 273, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(checkPcAcquitee))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                                .add(checkTempsComplet)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(checkTempsIncomplet)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(checkTempsPartiel)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(jLabel1)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfQuotiteService, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 49, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(55, 55, 55))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jPanel1Layout.createSequentialGroup()
                        .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel18)
                    .add(tfDateFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel17)
                    .add(tfDateDebut, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(37, 37, 37)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(lblTypeModalite)
                    .add(popupTypeFonctionPublique, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(lblTypeModalite2)
                    .add(tfMinistere, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(lblTypeModalite3)
                    .add(tfEtablissement, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(lblTypeModalite1)
                    .add(popupTypeService, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(checkPcAcquitee))
                .add(18, 18, 18)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(checkTempsComplet)
                    .add(checkTempsIncomplet)
                    .add(checkTempsPartiel)
                    .add(jLabel1)
                    .add(tfQuotiteService, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(9, 9, 9)
                .add(jLabel5)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jSeparator2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 10, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel2)
                    .add(tfAnnees, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3)
                    .add(tfMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(tfJours, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel4)
                    .add(labelDateValidation)
                    .add(tfDateValidation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 31, Short.MAX_VALUE)
                .add(jPanel1Layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap())
        );

        btnGetAvenant.setToolTipText("Sélection d'un avenant");

        org.jdesktop.layout.GroupLayout viewValidationsLayout = new org.jdesktop.layout.GroupLayout(viewValidations);
        viewValidations.setLayout(viewValidationsLayout);
        viewValidationsLayout.setHorizontalGroup(
            viewValidationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewValidationsLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewValidationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(jPanel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .add(viewValidationsLayout.createSequentialGroup()
                        .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 593, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(viewValidationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(viewValidationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(btnGetAvenant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );
        viewValidationsLayout.setVerticalGroup(
            viewValidationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewValidationsLayout.createSequentialGroup()
                .addContainerGap()
                .add(viewValidationsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewValidationsLayout.createSequentialGroup()
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(btnGetAvenant, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(viewTable, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 160, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(jPanel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(42, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(viewValidations, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .add(viewValidations, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-678)/2, (screenSize.height-625)/2, 678, 625);
    }// </editor-fold>//GEN-END:initComponents

    private void checkTempsIncompletActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkTempsIncompletActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_checkTempsIncompletActionPerformed

    private void checkTempsCompletActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkTempsCompletActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_checkTempsCompletActionPerformed

    private void checkTempsPartielActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkTempsPartielActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_checkTempsPartielActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                BonificationsView dialog = new BonificationsView(new javax.swing.JFrame(), true, null, null);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAjouter;
    private javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnGetAvenant;
    private javax.swing.JButton btnModifier;
    private javax.swing.JButton btnSupprimer;
    private javax.swing.JButton btnValider;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JCheckBox checkPcAcquitee;
    private javax.swing.JCheckBox checkTempsComplet;
    private javax.swing.JCheckBox checkTempsIncomplet;
    private javax.swing.JCheckBox checkTempsPartiel;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JSeparator jSeparator2;
    public javax.swing.JLabel labelDateValidation;
    private javax.swing.JLabel lblTypeModalite;
    private javax.swing.JLabel lblTypeModalite1;
    private javax.swing.JLabel lblTypeModalite2;
    private javax.swing.JLabel lblTypeModalite3;
    private javax.swing.JComboBox popupTypeFonctionPublique;
    private javax.swing.JComboBox popupTypeService;
    public org.cocktail.component.COTextField tfAnnees;
    protected javax.swing.JTextField tfDateDebut;
    protected javax.swing.JTextField tfDateFin;
    public org.cocktail.component.COTextField tfDateValidation;
    public org.cocktail.component.COTextField tfEtablissement;
    public org.cocktail.component.COTextField tfJours;
    public org.cocktail.component.COTextField tfMinistere;
    public org.cocktail.component.COTextField tfMois;
    private javax.swing.JTextField tfQuotiteService;
    protected javax.swing.JPanel viewTable;
    private javax.swing.JPanel viewValidations;
    // End of variables declaration//GEN-END:variables

    
    private void initGui() {
    	
    	tfDateDebut.setToolTipText("Date de début");
    	tfDateFin.setToolTipText("Date de fin");
    	tfDateValidation.setToolTipText("Date de validation des services (Après le 01/01/2004)");

    	btnAjouter.setIcon(CocktailIcones.ICON_ADD);
    	btnModifier.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimer.setIcon(CocktailIcones.ICON_DELETE);
    	btnGetAvenant.setIcon(CocktailIcones.ICON_DOWNLOAD_16);

    	btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);
    	btnValider.setIcon(CocktailIcones.ICON_VALID);
    	
		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EOValidationServices.DATE_DEBUT_KEY, "Début", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod,  EOValidationServices.DATE_FIN_KEY, "Fin", 75);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOValidationServices.VAL_TYPE_TEMPS_KEY, "Temps", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOValidationServices.VAL_QUOTITE_KEY, "Quot", 50);
    	col.setAlignment(SwingConstants.RIGHT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOValidationServices.VAL_PC_ACQUITEE_KEY, "PC Acqu.", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOValidationServices.VAL_ANNEES_KEY, "Années", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOValidationServices.VAL_MOIS_KEY, "Mois", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOValidationServices.VAL_JOURS_KEY, "Jours", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	
		myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.BG_COLOR_WHITE);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

		

    }

	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JCheckBox getCheckPcAcquitee() {
		return checkPcAcquitee;
	}

	public void setCheckPcAcquitee(javax.swing.JCheckBox checkPcAcquitee) {
		this.checkPcAcquitee = checkPcAcquitee;
	}

	public javax.swing.JCheckBox getCheckTempsComplet() {
		return checkTempsComplet;
	}

	public void setCheckTempsComplet(javax.swing.JCheckBox checkTempsComplet) {
		this.checkTempsComplet = checkTempsComplet;
	}

	public javax.swing.JCheckBox getCheckTempsIncomplet() {
		return checkTempsIncomplet;
	}

	public void setCheckTempsIncomplet(javax.swing.JCheckBox checkTempsIncomplet) {
		this.checkTempsIncomplet = checkTempsIncomplet;
	}

	public javax.swing.JCheckBox getCheckTempsPartiel() {
		return checkTempsPartiel;
	}

	public void setCheckTempsPartiel(javax.swing.JCheckBox checkTempsPartiel) {
		this.checkTempsPartiel = checkTempsPartiel;
	}

	public javax.swing.JLabel getLabelDateValidation() {
		return labelDateValidation;
	}

	public void setLabelDateValidation(javax.swing.JLabel labelDateValidation) {
		this.labelDateValidation = labelDateValidation;
	}

	public javax.swing.JComboBox getPopupTypeFonctionPublique() {
		return popupTypeFonctionPublique;
	}

	public void setPopupTypeFonctionPublique(
			javax.swing.JComboBox popupTypeFonctionPublique) {
		this.popupTypeFonctionPublique = popupTypeFonctionPublique;
	}

	public javax.swing.JComboBox getPopupTypeService() {
		return popupTypeService;
	}

	public void setPopupTypeService(javax.swing.JComboBox popupTypeService) {
		this.popupTypeService = popupTypeService;
	}

	public org.cocktail.component.COTextField getTfAnnees() {
		return tfAnnees;
	}

	public void setTfAnnees(org.cocktail.component.COTextField tfAnnees) {
		this.tfAnnees = tfAnnees;
	}

	public javax.swing.JTextField getTfDateDebut() {
		return tfDateDebut;
	}

	public void setTfDateDebut(javax.swing.JTextField tfDateDebut) {
		this.tfDateDebut = tfDateDebut;
	}

	public javax.swing.JTextField getTfDateFin() {
		return tfDateFin;
	}

	public void setTfDateFin(javax.swing.JTextField tfDateFin) {
		this.tfDateFin = tfDateFin;
	}

	public org.cocktail.component.COTextField getTfDateValidation() {
		return tfDateValidation;
	}

	public void setTfDateValidation(
			org.cocktail.component.COTextField tfDateValidation) {
		this.tfDateValidation = tfDateValidation;
	}

	public org.cocktail.component.COTextField getTfEtablissement() {
		return tfEtablissement;
	}

	public void setTfEtablissement(
			org.cocktail.component.COTextField tfEtablissement) {
		this.tfEtablissement = tfEtablissement;
	}

	public org.cocktail.component.COTextField getTfJours() {
		return tfJours;
	}

	public void setTfJours(org.cocktail.component.COTextField tfJours) {
		this.tfJours = tfJours;
	}

	public org.cocktail.component.COTextField getTfMinistere() {
		return tfMinistere;
	}

	public void setTfMinistere(org.cocktail.component.COTextField tfMinistere) {
		this.tfMinistere = tfMinistere;
	}

	public org.cocktail.component.COTextField getTfMois() {
		return tfMois;
	}

	public void setTfMois(org.cocktail.component.COTextField tfMois) {
		this.tfMois = tfMois;
	}

	public javax.swing.JTextField getTfQuotiteService() {
		return tfQuotiteService;
	}

	public void setTfQuotiteService(javax.swing.JTextField tfQuotiteService) {
		this.tfQuotiteService = tfQuotiteService;
	}

	public javax.swing.JPanel getViewTable() {
		return viewTable;
	}

	public void setViewTable(javax.swing.JPanel viewTable) {
		this.viewTable = viewTable;
	}

	public javax.swing.JPanel getViewValidations() {
		return viewValidations;
	}

	public void setViewValidations(javax.swing.JPanel viewValidations) {
		this.viewValidations = viewValidations;
	}

	public javax.swing.JButton getBtnGetAvenant() {
		return btnGetAvenant;
	}

	public void setBtnGetAvenant(javax.swing.JButton btnGetAvenant) {
		this.btnGetAvenant = btnGetAvenant;
	}

    

}
